App Offerings - Scopes API
List all scopes of an app offering
Section titled “List all scopes of an app offering”List all scopes of an app offering with a specific ID.
GET /app_offerings/:id/scopesResponse
Section titled “Response”Status: 200 OK[ { "id": 1, "effect": "allow", "actions": [ "request:Read", "request:Update" ], "nodeID": "..." }, "..."]The response contains these fields by default.
Collection Fields
Section titled “Collection Fields”By default the following fields will appear in collections of app offering scopes:
id
effect
actions
Get a single scope of an app offering
Section titled “Get a single scope of an app offering”GET /app_offerings/:id/scopes/:scope_idResponse
Section titled “Response”Status: 200 OK{ "id": 1, "effect": "allow", "actions": [ "request:Read", "request:Update" ], "nodeID": "..."}The response contains these fields .
Fields
Section titled “Fields”actions
Required
array of
string
— Actions this scope applies to. Each action has the format
<record type>:<operation>
.
created_at
Readonly datetime — The date and time at which the scope was created.
conditions
Required array of string — Conditions for this scope.
effect
Required
enum
, default:
allow
— Whether this scope allows or prevents access. Valid values are:
allow: Allow the actions of this scopedeny: Deny (i.e. do not allow) the actions of this scope
id
Readonly integer — The unique ID of the scope.
updated_at
Readonly
datetime
— The date and time of the last update of the scope.
If the scope has no updates it contains the
created_at
value.